SocketFactory (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.experimental.driver

## Class SocketFactory

- java.lang.Object
- - org.apache.geode.experimental.driver.SocketFactory

-     public class SocketFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `connect()`
    `java.lang.String` | `getCiphers()`
    `java.net.InetAddress` | `getHost()`
    `java.lang.String` | `getKeyStorePath()`
    `int` | `getPort()`
    `java.lang.String` | `getProtocols()`
    `int` | `getTimeout()`
    `java.lang.String` | `getTrustStorePath()`
    `boolean` | `isSsl()`
    `SocketFactory` | `setCiphers(java.lang.String ciphers)`
    `SocketFactory` | `setHost(java.net.InetAddress host)`
    `SocketFactory` | `setKeyStorePath(java.lang.String keyStorePath)`
    `SocketFactory` | `setPort(int port)`
    `SocketFactory` | `setProtocols(java.lang.String protocols)`
    `SocketFactory` | `setTimeout(int timeout)`
    `SocketFactory` | `setTrustStorePath(java.lang.String trustStorePath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketFactory

          public SocketFactory()

  - ### Method Detail

    - #### getHost

          public java.net.InetAddress getHost()

    - #### setHost

          public SocketFactory setHost(java.net.InetAddress host)

    - #### getPort

          public int getPort()

    - #### setPort

          public SocketFactory setPort(int port)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public SocketFactory setTimeout(int timeout)

    - #### getKeyStorePath

          public java.lang.String getKeyStorePath()

    - #### setKeyStorePath

          public SocketFactory setKeyStorePath(java.lang.String keyStorePath)

    - #### getTrustStorePath

          public java.lang.String getTrustStorePath()

    - #### setTrustStorePath

          public SocketFactory setTrustStorePath(java.lang.String trustStorePath)

    - #### getProtocols

          public java.lang.String getProtocols()

    - #### setProtocols

          public SocketFactory setProtocols(java.lang.String protocols)

    - #### getCiphers

          public java.lang.String getCiphers()

    - #### setCiphers

          public SocketFactory setCiphers(java.lang.String ciphers)

    - #### isSsl

          public boolean isSsl()

    - #### connect

          public java.net.Socket connect()
                                  throws java.security.GeneralSecurityException,
                                         java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`